Package list python-certbot-dns-rfc2136 / upstream/1.12.0
New upstream version 1.12.0 Harlan Lieberman-Berg 9 months ago
7 changed file(s) with 13 addition(s) and 25 deletion(s). Raw diff Collapse all Expand all
00 Metadata-Version: 2.1
11 Name: certbot-dns-rfc2136
2 Version: 1.10.1
2 Version: 1.12.0
33 Summary: RFC 2136 DNS Authenticator plugin for Certbot
44 Home-page: https://github.com/certbot/certbot
55 Author: Certbot Project
1313 Classifier: License :: OSI Approved :: Apache Software License
1414 Classifier: Operating System :: POSIX :: Linux
1515 Classifier: Programming Language :: Python
16 Classifier: Programming Language :: Python :: 2
17 Classifier: Programming Language :: Python :: 2.7
1816 Classifier: Programming Language :: Python :: 3
1917 Classifier: Programming Language :: Python :: 3.6
2018 Classifier: Programming Language :: Python :: 3.7
2624 Classifier: Topic :: System :: Networking
2725 Classifier: Topic :: System :: Systems Administration
2826 Classifier: Topic :: Utilities
29 Requires-Python: >=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*
27 Requires-Python: >=3.6
3028 Provides-Extra: docs
22 completing a ``dns-01`` challenge (`~acme.challenges.DNS01`) by creating, and
33 subsequently removing, TXT records using RFC 2136 Dynamic Updates.
44
5 .. note::
6 The plugin is not installed by default. It can be installed by heading to
7 `certbot.eff.org <https://certbot.eff.org/instructions#wildcard>`_, choosing your system and
8 selecting the Wildcard tab.
59
610 Named Arguments
711 ---------------
0 # type: ignore
1 # pylint: disable=no-member
2 # Many attributes of dnspython are now dynamically defined which causes both
3 # mypy and pylint to error about accessing attributes they think do not exist.
4 # This is the case even in up-to-date versions of mypy and pylint which as of
5 # writing this are 0.790 and 2.6.0 respectively. This problem may be fixed in
6 # dnspython 2.1.0. See https://github.com/rthalley/dnspython/issues/598. For
7 # now, let's disable these checks. This is done at the very top of the file
8 # like this because "type: ignore" must be the first line in the file to be
9 # respected by mypy.
100 """DNS Authenticator using RFC 2136 Dynamic Updates."""
111 import logging
122
00 Metadata-Version: 2.1
11 Name: certbot-dns-rfc2136
2 Version: 1.10.1
2 Version: 1.12.0
33 Summary: RFC 2136 DNS Authenticator plugin for Certbot
44 Home-page: https://github.com/certbot/certbot
55 Author: Certbot Project
1313 Classifier: License :: OSI Approved :: Apache Software License
1414 Classifier: Operating System :: POSIX :: Linux
1515 Classifier: Programming Language :: Python
16 Classifier: Programming Language :: Python :: 2
17 Classifier: Programming Language :: Python :: 2.7
1816 Classifier: Programming Language :: Python :: 3
1917 Classifier: Programming Language :: Python :: 3.6
2018 Classifier: Programming Language :: Python :: 3.7
2624 Classifier: Topic :: System :: Networking
2725 Classifier: Topic :: System :: Systems Administration
2826 Classifier: Topic :: Utilities
29 Requires-Python: >=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*
27 Requires-Python: >=3.6
3028 Provides-Extra: docs
00 dnspython
1 setuptools
1 setuptools>=39.0.1
22 zope.interface
33 acme>=0.29.0
44 certbot>=1.1.0
110110 # Add any paths that contain custom static files (such as style sheets) here,
111111 # relative to this directory. They are copied after the builtin static files,
112112 # so a file named "default.css" will overwrite the builtin "default.css".
113 html_static_path = ['_static']
113 #html_static_path = ['_static']
114114
115115
116116 # -- Options for HTMLHelp output ------------------------------------------
55 from setuptools import find_packages
66 from setuptools import setup
77
8 version = '1.10.1'
8 version = '1.12.0'
99
1010 # Remember to update local-oldest-requirements.txt when changing the minimum
1111 # acme/certbot version.
1212 install_requires = [
1313 'dnspython',
14 'setuptools',
14 'setuptools>=39.0.1',
1515 'zope.interface',
1616 ]
1717
4848 author="Certbot Project",
4949 author_email='client-dev@letsencrypt.org',
5050 license='Apache License 2.0',
51 python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*',
51 python_requires='>=3.6',
5252 classifiers=[
5353 'Development Status :: 5 - Production/Stable',
5454 'Environment :: Plugins',
5656 'License :: OSI Approved :: Apache Software License',
5757 'Operating System :: POSIX :: Linux',
5858 'Programming Language :: Python',
59 'Programming Language :: Python :: 2',
60 'Programming Language :: Python :: 2.7',
6159 'Programming Language :: Python :: 3',
6260 'Programming Language :: Python :: 3.6',
6361 'Programming Language :: Python :: 3.7',